//! The memory map of the board.

// use crate::utils::field::Field;

pub const GPIO_OFFSET: usize = 0x0020_0000;
pub const UART0_OFFSET: usize = 0x0020_1000;

pub const START_LOW_PERIPHERAL_MODE: usize = 0xFE00_0000;
pub const GPIO_START: usize = START_LOW_PERIPHERAL_MODE + GPIO_OFFSET;
pub const UART0_START: usize = START_LOW_PERIPHERAL_MODE + UART0_OFFSET;
pub const UART2_START: usize = START_LOW_PERIPHERAL_MODE + 0x0020_1400;
pub const UART3_START: usize = START_LOW_PERIPHERAL_MODE + 0x0020_1600;
pub const UART4_START: usize = START_LOW_PERIPHERAL_MODE + 0x0020_1800;
pub const UART5_START: usize = START_LOW_PERIPHERAL_MODE + 0x0020_1A00;

